package aalg.mailer;

import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

public class CommandRsndReq implements ICommand {

	private EncryptedRequest request;
	
	@Override
	public void write(final OutputStream stream) throws IOException {
		request.write(stream);
	}

	@Override
	public void read(final InputStream stream) throws IOException {
		request = new EncryptedRequest();
		request.read(stream);
	}

	@Override
	public void execute(final CommandContext context) {
		
	}

}
